import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { IColumnSetting } from '../models/grid-column-setting';
import { State } from '@progress/kendo-data-query';
import { DataStateChangeEvent, GridDataResult } from '@progress/kendo-angular-grid';
import { AtlasGridService } from '../services/atlas-grid.service';
import { AtlasDialogService } from '../../atlas-dialog/services/atlas-dialog.service';
export declare class AtlasGridComponent implements OnInit, OnDestroy {
    private dialogService;
    data: any[];
    showAddModel: boolean;
    selectedRowIndex: number;
    columns: IColumnSetting[];
    isPageable: boolean;
    isFilterable: boolean;
    isSortable: boolean;
    state: State;
    height: string;
    isLoading: boolean;
    gridService: AtlasGridService;
    selectable: any;
    showSelectAll: boolean;
    editDataItem: any;
    isEditable: boolean;
    selectedKeys: any[];
    gridDataResult: GridDataResult;
    add: EventEmitter<any>;
    edit: EventEmitter<any>;
    remove: EventEmitter<any>;
    viewDetail: EventEmitter<any>;
    private gridServiceSubscription;
    constructor(dialogService: AtlasDialogService);
    ngOnInit(): void;
    dataStateChange(event: DataStateChangeEvent): void;
    refreshGrid(): void;
    removeDataItem(): void;
    selectBy(e: any): any;
    onSelectionChange(e: any): void;
    onAdd(event: any): void;
    onViewDetail({ dataItem }: {
        dataItem: any;
    }): void;
    onRemove({ dataItem }: {
        dataItem: any;
    }): void;
    editSelectedRow(): void;
    ngOnDestroy(): void;
}
